Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.webdav
Interface WEBDAV

All Known Implementing Classes:
  DAVReply, DAVReply, DAVRequest

public interface WEBDAV

Field Summary
`static java.lang.String` | `CLASS_1_COMPLIANT`
`static java.lang.String` | `CLASS_2_COMPLIANT`
`static java.lang.String` | `DAV_HEADER`
`static java.lang.String[]` | `dav_msg_100`
`static java.lang.String[]` | `dav_msg_200`
`static java.lang.String[]` | `dav_msg_300`
`static java.lang.String[]` | `dav_msg_400`
`static java.lang.String[]` | `dav_msg_500`
`static int` | `DEPTH_0`
`static int` | `DEPTH_1`
`static java.lang.String` | `DEPTH_HEADER`
`static int` | `DEPTH_INFINITY`
`static java.lang.String` | `DESTINATION_HEADER`
`static java.lang.String` | `ENCODING`
`static int` | `FAILED_DEPENDENCY`
`static java.lang.String` | `IF_HEADER`
`static int` | `INSUFFICIENT_STORAGE`
`static java.lang.String` | `LOCK_TOKEN_HEADER`
`static int` | `LOCKED`
`static int` | `MULTI_STATUS`
`static java.lang.String` | `NAMESPACE_PREFIX`
`static java.lang.String` | `NAMESPACE_URI`
`static java.lang.String` | `OVERWRITE_HEADER`
`static int` | `PROCESSING`
`static java.lang.String` | `STATUS_URI_HEADER`
`static java.lang.String` | `TIMEOUT_HEADER`
`static int` | `UNPROCESSABLE_ENTITY`

Field Detail

### NAMESPACE_URI

    public static final java.lang.String NAMESPACE_URI

### NAMESPACE_PREFIX

    public static final java.lang.String NAMESPACE_PREFIX

### ENCODING

    public static final java.lang.String ENCODING

### DAV_HEADER

    public static final java.lang.String DAV_HEADER

### DEPTH_HEADER

    public static final java.lang.String DEPTH_HEADER

### DESTINATION_HEADER

    public static final java.lang.String DESTINATION_HEADER

### IF_HEADER

    public static final java.lang.String IF_HEADER

### LOCK_TOKEN_HEADER

    public static final java.lang.String LOCK_TOKEN_HEADER

### OVERWRITE_HEADER

    public static final java.lang.String OVERWRITE_HEADER

### STATUS_URI_HEADER

    public static final java.lang.String STATUS_URI_HEADER

### TIMEOUT_HEADER

    public static final java.lang.String TIMEOUT_HEADER

### CLASS_1_COMPLIANT

    public static final java.lang.String CLASS_1_COMPLIANT

### CLASS_2_COMPLIANT

    public static final java.lang.String CLASS_2_COMPLIANT

### DEPTH_0

    public static final int DEPTH_0

### DEPTH_1

    public static final int DEPTH_1

### DEPTH_INFINITY

    public static final int DEPTH_INFINITY

### dav_msg_100

    public static final java.lang.String[] dav_msg_100

### dav_msg_200

    public static final java.lang.String[] dav_msg_200

### dav_msg_300

    public static final java.lang.String[] dav_msg_300

### dav_msg_400

    public static final java.lang.String[] dav_msg_400

### dav_msg_500

    public static final java.lang.String[] dav_msg_500

### PROCESSING

    public static final int PROCESSING

### MULTI_STATUS

    public static final int MULTI_STATUS

### UNPROCESSABLE_ENTITY

    public static final int UNPROCESSABLE_ENTITY

### LOCKED

    public static final int LOCKED

### FAILED_DEPENDENCY

    public static final int FAILED_DEPENDENCY

### INSUFFICIENT_STORAGE

    public static final int INSUFFICIENT_STORAGE

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD